BIC.fixest {fixest} | R Documentation

## Bayesian information criterion

### Description

This function computes the BIC (Bayesian information criterion) from a `fixest` estimation.

### Usage

    ## S3 method for class 'fixest'
    BIC(object, ...)

### Arguments

`object` | A `fixest` object. Obtained using the functions `femlm`, `feols` or `feglm`.
`...` | Optionally, more fitted objects.

### Details

The BIC is computed as follows:

BIC = -2\times LogLikelihood + \log(nobs)\times nbParams

with k the penalty parameter.

You can have more information on this criterion on `AIC`.

### Value

It return a numeric vector, with length the same as the number of objects taken as arguments.

### Author(s)

Laurent Berge

### See Also

See also the main estimation functions `femlm`, `feols` or `feglm`. Other statistics functions: `AIC.fixest`, `logLik.fixest`.

### Examples

    # two fitted models with different expl. variables:
    res1 = femlm(Sepal.Length ~ Sepal.Width + Petal.Length +
                Petal.Width | Species, iris)
    res2 = femlm(Sepal.Length ~ Petal.Width | Species, iris)

    AIC(res1, res2)
    BIC(res1, res2)

[Package fixest version 0.1.0 Index]